# $Revision: 1.16 $, $Date: 2006/11/26 13:41:51 $
%include	/usr/lib/rpm/macros.php
%define		_class		Image
%define		_subclass	Canvas
%define		_status		alpha
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - common interface to image drawing
Summary(pl):	%{_pearname} - wsplny interfejs do rysowania obrazkw
Name:		php-pear-%{_pearname}
Version:	0.3.0
Release:	2
Epoch:		0
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	41dd36fb05436159fb6fccca02cb7aaa
URL:		http://pear.php.net/package/Image_Canvas/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(gd)
Requires:	php-pear
Requires:	php-pear-Image_Color >= 1.0.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A package providing a common interface to image drawing, making source
code independent on the library used.

In PEAR status of this package is: %{_status}.

%description -l pl
Pakiet dostarczajcy wsplnego interfejsu do rysowania obrazkw,
sprawiajc, i kod jest niezaleny od uytej biblioteki.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{epoch}:%{version}-%{release}
AutoReq:	no
AutoProv:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Image_Canvas.spec,v $
Revision 1.16  2006/11/26 13:41:51  glen
- rel 2: use php(extension) virtuals

Revision 1.15  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.14  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.13  2006/04/02 11:22:22  glen
- 0.3.0

Revision 1.12  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.11  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.10  2006/01/08 18:04:08  glen
- AutoReq: no for -tests

Revision 1.9  2005/10/27 18:43:44  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.8  2005/10/06 17:31:08  glen
- up to 0.2.2

Revision 1.7  2005/10/05 18:31:31  glen
- rel 2

Revision 1.6  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.5  2005/09/27 22:13:36  glen
- fix requires for -tests (typo)

Revision 1.4  2005/09/27 22:06:16  glen
- include epoch into tests subpackage requires

Revision 1.3  2005/09/27 21:57:40  glen
- new pear packaging

Revision 1.2  2005/08/21 18:14:59  adamg
- updated to 0.2.1

Revision 1.1  2005/08/04 07:34:08  adamg
- new

